Bug 1828079 (jneuroml-core)

Summary: Review Request: jneuroml-core - The NeuroML 2 Schema and ComponentType definitions in LEMS
Product: [Fedora] Fedora Reporter: Ankur Sinha (FranciscoD) <sanjay.ankur>
Component: Package ReviewAssignee: Jerry James <loganjerry>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: loganjerry, package-review
Target Milestone: ---Flags: loganjerry: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-16 03:10:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1276941    

Description Ankur Sinha (FranciscoD) 2020-04-26 17:28:24 UTC
Spec URL: https://ankursinha.fedorapeople.org/jneuroml-core/jneuroml-core.spec
SRPM URL: https://ankursinha.fedorapeople.org/jneuroml-core/jneuroml-core-1.6.1-1.fc32.src.rpm

Description:
This repository contains the NeuroML 2 Schema, the ComponentType definitions in
LEMS and a number of example files in NeuroML 2 and LEMS files for running
simulations.

For more details on LEMS and NeuroML 2 see:

Robert C. Cannon, Padraig Gleeson, Sharon Crook, Gautham Ganapathy, Boris
Marin, Eugenio Piasini and R. Angus Silver, LEMS: A language for expressing
complex biological models in concise and hierarchical form and its use in
underpinning NeuroML 2, Frontiers in Neuroinformatics 2014, 
doi:10.3389/fninf.2014.00079

Fedora Account System Username: ankursinha

Comment 1 Jerry James 2020-05-06 19:43:22 UTC
I will take this review.

Comment 2 Jerry James 2020-05-06 21:54:46 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/java/jneuroml-core
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_duplicate_files

  This is due to this line in %files:

  %dir %{_javadir}/%{name}

  Remove that.  It isn't needed.

- The file docs/assets/css/bootstrap.css, which has license ASL 2.0, is included
  in the doc subpackage.  I think the doc subpackage will need to add
  License: LGPLv3 and ASL 2.0

- Let me get this straight.  Upstream released NMLv2.0, which looks like a
  package named NML (or perhaps NeuroML2, the name of the git repository),
  version 2.0.  Yet somehow it is really jneuroml-core version 1.6.1.  Okay,
  I see that pom.xml seems to say so.  That's pretty strange, not to mention
  confusing.

- Take a look at the hidden-file-or-dir warnings from rpmlint.  Are those files
  really necessary?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU Lesser General
     Public License", "Apache License 2.0". 177 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jneuroml-core-1.6.1-1.fc33.noarch.rpm
          jneuroml-core-doc-1.6.1-1.fc33.noarch.rpm
          jneuroml-core-1.6.1-1.fc33.src.rpm
jneuroml-core.noarch: W: spelling-error %description -l en_US doi -> dpi, do, oi
jneuroml-core.noarch: W: spelling-error %description -l en_US fninf -> inf
jneuroml-core-doc.noarch: W: spelling-error %description -l en_US doi -> dpi, do, oi
jneuroml-core-doc.noarch: W: spelling-error %description -l en_US fninf -> inf
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex0.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex0.jnmlnetpyne.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex0.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex0.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex0.pylems.omt.todo
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex1.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex1.jnmlbrian2.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex1.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex1.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex1.pylems.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex10.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex10.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex10.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex11.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex12.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex12.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex12.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex13.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex14.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex14.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex14.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex15.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex15.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex15.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex16.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex16.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex16.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex17.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex18.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex18.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex18.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex19.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex19.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex19.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex19a.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex19a.jnmlnetpyne.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex19a.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex2.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex20.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex20a.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex20a.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex20a.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex21.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex21.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex21.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex22.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex22.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex23.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex23.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex25.jnmlnetpyne.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex25.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex25.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex26.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex26.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex26.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex27.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex27.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex3.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex3.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex3.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex3.pylems.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex4.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.jnmlbrian2.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.jnmlmoose.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.jnmlnetpyne.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.pylems.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex6.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex6.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex6.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex6.pylems.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex7.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex7.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex7.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex8.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex9.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex9.jnmlbrian.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex9.jnmlbrian2.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex9.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex9.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex9.pylems.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.validate.omt
jneuroml-core.src: W: spelling-error %description -l en_US doi -> dpi, do, oi
jneuroml-core.src: W: spelling-error %description -l en_US fninf -> inf
3 packages and 0 specfiles checked; 0 errors, 90 warnings.




Rpmlint (installed packages)
----------------------------
jneuroml-core.noarch: W: spelling-error %description -l en_US doi -> dpi, do, oi
jneuroml-core.noarch: W: spelling-error %description -l en_US fninf -> inf
jneuroml-core-doc.noarch: W: spelling-error %description -l en_US doi -> dpi, do, oi
jneuroml-core-doc.noarch: W: spelling-error %description -l en_US fninf -> inf
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex0.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex0.jnmlnetpyne.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex0.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex0.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex0.pylems.omt.todo
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex1.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex1.jnmlbrian2.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex1.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex1.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex1.pylems.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex10.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex10.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex10.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex11.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex12.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex12.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex12.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex13.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex14.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex14.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex14.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex15.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex15.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex15.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex16.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex16.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex16.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex17.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex18.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex18.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex18.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex19.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex19.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex19.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex19a.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex19a.jnmlnetpyne.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex19a.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex2.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex20.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex20a.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex20a.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex20a.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex21.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex21.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex21.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex22.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex22.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex23.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex23.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex25.jnmlnetpyne.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex25.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex25.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex26.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex26.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex26.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex27.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex27.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex3.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex3.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex3.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex3.pylems.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex4.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.jnmlbrian2.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.jnmlmoose.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.jnmlnetpyne.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex5.pylems.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex6.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex6.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex6.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex6.pylems.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex7.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex7.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex7.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex8.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex9.jnml.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex9.jnmlbrian.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex9.jnmlbrian2.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex9.jnmlnrn.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex9.mep
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.ex9.pylems.omt
jneuroml-core-doc.noarch: W: hidden-file-or-dir /usr/share/doc/jneuroml-core-doc/LEMSexamples/test/.test.validate.omt
2 packages and 0 specfiles checked; 0 errors, 88 warnings.



Source checksums
----------------
https://github.com/NeuroML/NeuroML2/archive/NMLv2.0/jneuroml-core-1.6.1.tar.gz :
  CHECKSUM(SHA256) this package     : dd9a2e12cc155059d5e24beda9365085933517b2cce81336806c46bddcdb811a
  CHECKSUM(SHA256) upstream package : dd9a2e12cc155059d5e24beda9365085933517b2cce81336806c46bddcdb811a


Requires
--------
jneuroml-core (rpmlib, GLIBC filtered):
    java-headless
    javapackages-filesystem

jneuroml-core-doc (rpmlib, GLIBC filtered):



Provides
--------
jneuroml-core:
    jneuroml-core
    mvn(org.neuroml.core:neuroml2-base-definitions)
    mvn(org.neuroml.core:neuroml2-base-definitions:pom:)

jneuroml-core-doc:
    jneuroml-core-doc



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1828079 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, Java
Disabled plugins: Ruby, Ocaml, fonts, Haskell, SugarActivity, R, PHP, Python, Perl, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Ankur Sinha (FranciscoD) 2020-05-07 17:13:20 UTC
Thanks for the review, Jerry. I've updated the spec/srpm:

Spec URL: https://ankursinha.fedorapeople.org/jneuroml-core/jneuroml-core.spec
SRPM URL: https://ankursinha.fedorapeople.org/jneuroml-core/jneuroml-core-1.6.1-1.fc32.src.rpm

* Thu May 07 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.6.1-1
- Update as per review comments: #1828079
- Remove unneeded file listing
- Remove unused validation files
- Update license for doc subpackage


> - Let me get this straight.  Upstream released NMLv2.0, which looks like a
>   package named NML (or perhaps NeuroML2, the name of the git repository),
>   version 2.0.  Yet somehow it is really jneuroml-core version 1.6.1.  Okay,
>   I see that pom.xml seems to say so.  That's pretty strange, not to mention
>   confusing.

Yeh, it's not done in the best way.
It took me some time to figure out what belonged where.

"NeuroML2" is the second version of the standard/schema, and the whole stack is a bunch of tools that function with this standard.
So, here, this schema is for NeuroML2, but the java source itself is version 1.6.1 :D
All the tools are tagged in the same way. org.neuroml.model, for example:
https://github.com/NeuroML/org.neuroml.model/releases

Comment 4 Jerry James 2020-05-07 20:49:03 UTC
I guess upstream can handle versions however they like. :-)

This package is APPROVED.

Comment 5 Gwyn Ciesla 2020-05-07 21:34:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/jneuroml-core

Comment 6 Fedora Update System 2020-05-07 21:58:17 UTC
FEDORA-2020-d80eb2cbc0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d80eb2cbc0

Comment 7 Fedora Update System 2020-05-08 04:10:19 UTC
FEDORA-2020-d80eb2cbc0 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-d80eb2cbc0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d80eb2cbc0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-05-08 05:09:03 UTC
FEDORA-2020-4872e40cf0 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-4872e40cf0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4872e40cf0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-05-16 03:10:41 UTC
FEDORA-2020-4872e40cf0 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-05-16 03:39:11 UTC
FEDORA-2020-d80eb2cbc0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.